<?xml version="1.0" encoding="utf-8"?>
<com.navdy.client.app.ui.customviews.ActiveTripCardView xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto" xmlns:aapt="http://schemas.android.com/aapt" android:id="@+id/active_trip_card" android:background="@color/black" android:clickable="true" android:layout_width="match_parent" android:layout_height="@dimen/trip_card_height" android:foreground="?android:attr/selectableItemBackground" android:paddingStart="0dp" android:paddingEnd="@dimen/trip_card_margin">
    <ImageView android:id="@+id/illustration" android:layout_width="40dp" android:layout_height="40dp" android:layout_margin="16dp" android:src="@drawable/icon_badge_active_trip" android:layout_alignParentLeft="true" android:contentDescription="@string/illustration" android:layout_alignParentStart="true"/>
    <TextView android:id="@+id/end_trip" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="16dp" android:text="@string/end" android:onClick="onEndTripClick" android:layout_marginStart="@dimen/inner_margin" android:layout_alignParentEnd="true" style="@style/NavdyButtonWhiteSmall"/>
    <TextView android:textColor="@color/blue" android:ellipsize="end" android:id="@+id/trip_name" android:layout_width="match_parent" android:layout_height="wrap_content" android:layout_marginTop="@dimen/trip_card_margin" android:maxLines="1" android:fontFamily="sans-serif" android:layout_toStartOf="@+id/end_trip" android:layout_toEndOf="@+id/illustration" style="@style/H2White"/>
    <TextView android:ellipsize="end" android:id="@+id/trip_address_first_line" android:layout_width="match_parent" android:layout_height="wrap_content" android:maxLines="1" android:layout_below="@+id/trip_name" android:layout_toStartOf="@+id/end_trip" android:layout_toEndOf="@+id/illustration" style="@style/H2White"/>
    <View android:id="@+id/spacer" android:background="@color/grey_cool" android:layout_width="match_parent" android:layout_height="1dp" android:layout_marginLeft="@dimen/trip_card_margin" android:layout_marginRight="@dimen/trip_card_margin" android:layout_below="@+id/illustration" android:layout_marginStart="@dimen/trip_card_margin" android:layout_marginEnd="@dimen/trip_card_margin"/>
    <include android:id="@+id/trip_card_bottom_sheet" android:layout_width="match_parent" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/trip_card_margin" android:layout_marginRight="@dimen/trip_card_margin" android:layout_below="@+id/spacer" android:layout_marginStart="@dimen/trip_card_margin" android:layout_marginEnd="@dimen/trip_card_margin" layout="@layout/trip_overview_bottom_sheet"/>
    <RelativeLayout android:id="@+id/trip_card_bottom_sheet_calculating" android:paddingTop="10dp" android:paddingBottom="10dp" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_alignLeft="@+id/trip_card_bottom_sheet" android:layout_alignTop="@+id/trip_card_bottom_sheet" android:layout_alignRight="@+id/trip_card_bottom_sheet" android:layout_alignBottom="@+id/trip_card_bottom_sheet" android:layout_alignStart="@+id/trip_card_bottom_sheet" android:layout_alignEnd="@+id/trip_card_bottom_sheet">
        <TextView android:textSize="22sp" android:textColor="@color/white" android:id="@+id/trip_card_bottom_sheet_calculating_text" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="@dimen/trip_card_margin" android:text="@string/calculating_dot_dot_dot" android:layout_centerInParent="true"/>
    </RelativeLayout>
    <ImageView android:id="@+id/chevron" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_margin="@dimen/inner_margin" android:src="@drawable/ic_chevron" android:layout_alignParentBottom="true" android:layout_centerHorizontal="true" android:contentDescription="@string/illustration"/>
</com.navdy.client.app.ui.customviews.ActiveTripCardView>
